Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::POA::NoServant Exception Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::POA::NoServant:

[legend]
Collaboration diagram for PortableServer::POA::NoServant:

[legend]
List of all members.

## Public Member Functions
| NoServant (void)
| NoServant (const NoServant &)
| ~NoServant (void)
NoServant & | operator= (const NoServant &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &) const
virtual void | _tao_decode (TAO_InputCDR &)
virtual CORBA::TypeCode_ptr | _tao_type (void) const
## Static Public Member Functions
void | _tao_any_destructor (void *)
NoServant * | _downcast (CORBA::Exception *)
const NoServant * | _downcast (CORBA::Exception const *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

PortableServer::POA::NoServant::NoServant | ( | void |  | ) |

PortableServer::POA::NoServant::NoServant | ( | const NoServant & |  | ) |

PortableServer::POA::NoServant::~NoServant | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * PortableServer::POA::NoServant::_alloc | ( | void |  | ) | `[static]`

const PortableServer::POA::NoServant * PortableServer::POA::NoServant::_downcast | ( | CORBA::Exception const * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

PortableServer::POA::NoServant * PortableServer::POA::NoServant::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void PortableServer::POA::NoServant::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void PortableServer::POA::NoServant::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

void PortableServer::POA::NoServant::_tao_decode | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Implements CORBA::Exception.

CORBA::Exception * PortableServer::POA::NoServant::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void PortableServer::POA::NoServant::_tao_encode | ( | TAO_OutputCDR & |  | ) | const`[virtual]`

| Implements CORBA::Exception.

CORBA::TypeCode_ptr PortableServer::POA::NoServant::_tao_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::UserException.

NoServant& PortableServer::POA::NoServant::operator= | ( | const NoServant & |  | ) |

The documentation for this exception was generated from the following files:

- PortableServer.pidl
- PortableServerC.h
- PortableServerC.cpp